Google Scholar 인용 API
Google Scholar 아티클에 대해 여러 스타일로 포맷된 인용을 가져오고, BibTeX, EndNote, RefMan, RefWorks용 내보내기 링크도 함께 제공합니다. engine=google_scholar_cite를 설정하고 q에 아티클 인용 ID를 전달하세요.
Endpoint
섹션 제목: “Endpoint” GET https://serp.shifter.io/v1?engine=google_scholar_cite&api_key=YOUR_API_KEY
Parameters
섹션 제목: “Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | Your SERP API key |
engine | string | yes | Must be google_scholar_cite |
q | string | yes | The Google Scholar citation ID |
Example request
섹션 제목: “Example request”curl "https://serp.shifter.io/v1?engine=google_scholar_cite&api_key=YOUR_API_KEY&q=FDc6HiktlqEJ"import requests
params = { "engine": "google_scholar_cite", "api_key": "YOUR_API_KEY", "q": "FDc6HiktlqEJ",}r = requests.get("https://serp.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'google_scholar_cite', api_key: 'YOUR_API_KEY', q: 'FDc6HiktlqEJ',});const data = await (await fetch(url)).json();Example response
섹션 제목: “Example response”{ "search_parameters": { "engine": "google_scholar_cite", "google_domain": "scholar.google.com", "device": "desktop", "query": "FDc6HiktlqEJ" }, "citations": [ { "title": "MLA", "snippet": "Schwertmann, U. T. R. M., and Reginald M. Taylor. \"Iron oxides.\" Minerals in soil environments 1 (1989): 379-438." }, { "title": "APA", "snippet": "Schwertmann, U. T. R. M., & Taylor, R. M. (1989). Iron oxides. Minerals in soil environments, 1, 379-438." }, { "title": "Chicago", "snippet": "Schwertmann, U. T. R. M., and Reginald M. Taylor. \"Iron oxides.\" Minerals in soil environments 1 (1989): 379-438." } ], "links": [ { "name": "BibTeX", "link": "https://scholar.googleusercontent.com/scholar.bib?..." }, { "name": "EndNote", "link": "https://scholar.googleusercontent.com/scholar.enw?..." }, { "name": "RefMan", "link": "https://scholar.googleusercontent.com/scholar.ris?..." }, { "name": "RefWorks", "link": "https://scholar.googleusercontent.com/scholar.rfw?..." } ]}